Bug 1135410 - Resource leak (RESOURCE_LEAK) in source/common/ubidi.c in function setParaRunsOnly().
Summary: Resource leak (RESOURCE_LEAK) in source/common/ubidi.c in function setParaRun...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: icu
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-29 09:02 UTC by rajnish kumar
Modified: 2016-07-19 19:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:03:39 UTC


Attachments (Terms of Use)
This is the patch for the file source/common/ubidi.c in ICU4C version 53.1 (827 bytes, text/plain)
2014-08-29 09:02 UTC, rajnish kumar
no flags Details

Description rajnish kumar 2014-08-29 09:02:08 UTC
Created attachment 932608 [details]
This is the patch for the file source/common/ubidi.c in ICU4C version 53.1

Description of problem: When we are allocating a memory dynamically , the allocated memory must be free in all condition in failure and in success also.in the function setParaRuns() in source/common/ubidi.c, There is a chance of leaking memory.The assigned memory to runsOnlyMemory may be leaked at cleanup3: section.


Version-Release number of selected component (if applicable): 53.1 ICU4C

Additional info:

Patch for the solution of this problem is attached.

Comment 1 Jaroslav Reznik 2015-03-03 16:15:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 19:03:39 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.